V4 does not work with the emulator.